#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define pb push_back
#define pf push_front
ll n,k,x,lista[20000];

/*
8
26
2
1 3 5 7 9 11 13 12

*/
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    cin >> n >> k >> x;

    if(n==1){
        cout << 1;
        return 0;
    }
    if(k==0){
        for(int i=0;i<n;i++)cout << 1 << ' ';
        return 0;
    }
    if(k==1){
        cout << 1 << ' ' << x+1 << ' ';
        for(int i=1;i<=n-2;i++)cout << x << ' ';
        return 0;
    }
    else if(k==2){
        cout << 1 << ' ' << x+1 << ' ' << x+1 << ' ';
        for(int i=1;i<=n-3;i++)cout << x << ' ';
        return 0;
    }
    if(k==3){
        if(n==3){
            cout << 1  << ' ' << 1+x << ' ' << 1+x+x;
        }
        for(int i=1;i<=n-4;i++)cout << x<< ' ';
        cout <<1 << ' ' << 1+x << ' ' << 1+x << ' ' << 1+x;
        return 0;
    }

    if(n>k){
        for(int i=1;i<=n-k-1;i++){
            cout << x << ' ';
        }
        cout << 1 << ' ';
        for(int i=1;i<=k;i++)cout << 1+x<< ' ';
        return 0;
    }
    if(n==k){
        if(n==3){
            cout << 1 << ' ' << 1+x << ' ' << 1+x+x;
            return 0;
        }
        else if(n&1==0){
            for(int i=1;i<=n/2;i++)cout << 1  << ' ';
            cout << 1+x <<  ' ' << 1+x << ' ';
            for(int i=1;i<=n/2-2;i++){
                cout << 2 << ' ';
            }
            return 0;
        }
        else{
            cout << 1 << ' ' << 1+x << ' ' << 1+x+x << ' ';
            for(int i=1;i<=n-3;i++){
                cout << 2 << ' ';
            }
            return 0;
        }
    }

    ll korisceno=2;
    lista[1]=1;
    lista[2]=3;
    k--;
    for(int i=3;i<=n;i++){
        if((i-2)*(n-(i-1))>=k)break;
        else{
            korisceno++;
            lista[i]=lista[i-1]+x;
            k-=i-1;
        }
    }
    ll sada=korisceno;

    if(k==(n-korisceno)*(korisceno-1)){
        for(int i=korisceno+1;i<=n;i++){
            lista[i]=lista[korisceno];
            k-=korisceno-1;
        }
    }

    else{
        while(k!=(n-sada)*(korisceno-2)){
            if(sada+1==n)break;
            k-=korisceno-1;
            lista[sada+1]=lista[korisceno];
            sada++;
            //cout << 'a';
        }
        for(int i=sada+1;i<=n;i++){
            lista[i]=lista[korisceno]-1;
            k-=korisceno-2;
        }

    }

    //cout << korisceno << ' ' << k << endl;
    for(int i=1;i<=n;i++)cout << lista[i] << ' ';
    return 0;
}